/***********************************************************************/
/* BDIR.C -- Brief Drectory Writer                                     */
/* Copyright (C) 1989 by Greg Swann                                    */
/*                                                                     */
/* Compile using: QCL /Ox /AM BDIR.C C:\qc\lib\setargv /link /NOE      */
/***********************************************************************/

#include <stdio.h>

main (argc, argv)
char *argv[];
int argc;
	{
	FILE *in_file, *fopen ();

	int loop;

	if (argc == 1)
		{
		doc ();
		exit (1);
		}

	for (loop = 1; loop < argc; ++loop)
		{
		in_file = fopen (argv[loop], "r");
			if (in_file == NULL)
				;
			else
			{
			printf ("%s\n", argv[loop]);
			fclose (in_file);
			}
		}
	}

doc ()
{
printf ("                 BDIR -- Brief Directory Writer\n");
printf ("                Copyright (C) 1989 by Greg Swann\n");
printf ("\n");
printf ("Syntax: BDIR filename.ext [filename.ext ...]\n");
printf ("        (Wildcards and Redirection supported)\n");
printf ("\n");
printf ("Output: Screen display of names of matching files\n");
printf ("\n");
printf ("BDIR in brief: BDIR prints an abbreviated directory listing to\n");
printf ("   the screen.  The spaces DOS employs through \"DIR\" and \"DIR /W\"\n");
printf ("   are omitted.  Redirection is supported, and the primary\n");
printf ("   purpose is to make writing batch files easier.\n");
printf ("\n");
printf ("Wildcards: BDIR recognizes and acts upon all DOS wildcards.\n");
printf ("   \"BDIR *.doc\" would list each \"doc\" file in the current\n");
printf ("   directory.  You can specify more than one set of files on\n");
printf ("   the command line, e.g.:\n");
printf ("        BDIR *.doc *.txt budget?.wks test.tmp\n");
printf ("\n");
printf ("Redirection: The BDIR listing can be redirected to a file by\n");
printf ("   using, for example:\n");
printf ("        BDIR filename.ext > filelist.ext\n");
}
